Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.impl
Class MessagePatternFilter

    java.lang.Object
      org.apache.muse.ws.notification.impl.MessagePatternFilter

All Implemented Interfaces:
  Filter, XmlSerializable

Direct Known Subclasses:
  PublishAllMessagesFilter

public class MessagePatternFilter
extends java.lang.Object
implements Filter

MessagePatternFilter is the implementation of message pattern filters for WS-N subscriptions. The dialect for message patterns is XPath 1.0.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`MessagePatternFilter(java.lang.String pattern, java.lang.String dialect)`

Method Summary
`boolean` | `accepts(NotificationMessage message)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagePatternFilter

    public MessagePatternFilter(java.lang.String pattern,
                                java.lang.String dialect)
                         throws InvalidMessageContentExpressionFault

Method Detail

### accepts

    public boolean accepts(NotificationMessage message)

  Specified by:
    `accepts` in interface `Filter`
  Parameters:
    `message` -
  Returns:
    True if the content of the message passes the filter tests (and, consequently, should be sent to the subscriber that created the filter).

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD